> For the complete documentation index, see [llms.txt](https://docs.premia.blue/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.premia.blue/developer-center/apis/containerized-api/websockets-reference.md).

# WebSockets Reference

Overview

Their are *two* major *channels* within the WS connection, they are:

### [Quotes](https://docs.premia.blue/developer-center/apis/containerized-api/websockets-reference/quotes-channel.md)

Receive messages regarding *changes* to the orderbook state along with responses back from an RFQ *requests*&#x20;

[*<mark style="color:green;">Stream</mark>*](#subscribe-to-quotes-orderbook-and-rfq)  *public* orderbook state changes such as:

* <mark style="color:orange;">PostQuoteMessage</mark> -> new orders
* <mark style="color:orange;">FillQuoteMessage</mark> -> trade fills
* <mark style="color:orange;">DeleteQuoteMessage</mark> -> cancelled orders

*<mark style="color:green;">Stream</mark>* *personalized* quotes from market makers after submitting a RFQ

### [RFQ](https://docs.premia.blue/developer-center/apis/containerized-api/websockets-reference/rfq-channel.md)

Participate in the RFQ network&#x20;

[*<mark style="color:green;">Publish</mark>*](#publish-rfq-request-s) RFQ requests to the RFQ network.  This is how requests are broadcasted.

[*<mark style="color:green;">Stream</mark>*](#subscribe-to-rfq-requests)  RFQ requests in order to *provide* personalized quotes.  This is how market makers listen for requests.

{% hint style="info" %}
Participating the in the RFQ network (both as a requester and provider of quotes) can *only* be done via the RFQ channel of our websocket.  There is *no* direct rest endpoints.
{% endhint %}

### <mark style="color:blue;">Dual Channel Support</mark>

It is possible to integrate BOTH channels at the same time under a single websocket connection.  In this case there only needs to be one authorization methods (see [here](https://docs.premia.blue/developer-center/apis/containerized-api/websockets-reference/authorization.md) on how to implement this).  However, two filter messages must be sent (one for each channel).&#x20;

Authorizations and Filter messages are covered in the next section.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.premia.blue/developer-center/apis/containerized-api/websockets-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
